version: '3'

services:
  web:
    container_name: web-hard
    build: .
    ports:
      - "80:80"
    volumes:
      - ./application:/var/www/public
    environment:
      GMETRIC_ID: UA-126282491-1
      RECAPTCHA_SECRET: 6LeVinAUAAAAAFt8kitWV1GbrUS1DFnnFlR3SN68
      RECAPTCHA_PUBLIC: 6LeVinAUAAAAADxFu2Vx2tgOaxQ7bWy5HFctofcM
      FLAG: mctf{7d3d2ad73f5decb797d38c24bfd7badf}
  bot:
    container_name: web-hard_bot
    build:
      context: ./
      dockerfile: DockerfileBot
  db:
    container_name: web-hard_db
    build:
      context: ./
      dockerfile: DockerfileDB
    environment:
      MYSQL_ROOT_PASSWORD: kjhG123t98tgGOUGFJF6a23

volumes:
  application:
